import { InputValues } from './inputs.js';
import 'octokit';

interface ValuesWithNpmInfo extends InputValues {
    author: string;
    email: string;
}
declare function augmentValuesWithNpmInfo<Values extends InputValues>(values: Values): Promise<ValuesWithNpmInfo & Values>;

export { ValuesWithNpmInfo, augmentValuesWithNpmInfo };
