import { Octokit } from 'octokit';
import { InputValues } from '../shared/inputs.js';

declare function initializeBranchProtectionSettings(octokit: Octokit, { owner, repository }: Pick<InputValues, "owner" | "repository">): Promise<false | undefined>;

export { initializeBranchProtectionSettings };
