import { createDotGitHub } from "./dotGitHub/index.js";
import { createDotHusky } from "./dotHusky.js";
import { createDotVSCode } from "./dotVSCode.js";
import { createRootFiles } from "./rootFiles.js";
import { createSrc } from "./src.js";
async function createStructure(values) {
  return {
    ".github": createDotGitHub(values),
    ".husky": createDotHusky(),
    ".vscode": await createDotVSCode(),
    src: await createSrc(values.unitTests),
    ...await createRootFiles(values)
  };
}
export {
  createStructure
};
//# sourceMappingURL=index.js.map