declare const allArgOptions: {
    readonly author: {
        readonly type: "string";
    };
    readonly description: {
        readonly type: "string";
    };
    readonly email: {
        readonly type: "string";
    };
    readonly funding: {
        readonly type: "string";
    };
    readonly owner: {
        readonly type: "string";
    };
    readonly releases: {
        readonly default: true;
        readonly type: "boolean";
    };
    readonly repository: {
        readonly type: "string";
    };
    readonly "skip-contributors": {
        readonly type: "boolean";
    };
    readonly "skip-github-api": {
        readonly type: "boolean";
    };
    readonly "skip-install": {
        readonly type: "boolean";
    };
    readonly "skip-removal": {
        readonly type: "boolean";
    };
    readonly "skip-restore": {
        readonly type: "boolean";
    };
    readonly "skip-uninstall": {
        readonly type: "boolean";
    };
    readonly title: {
        readonly type: "string";
    };
    readonly unitTests: {
        readonly default: true;
        readonly type: "boolean";
    };
};

export { allArgOptions };
