import { createDotGitHubActions } from "./actions.js";
import { createDotGitHubIssueTemplate } from "./issueTemplate.js";
import { createDotGitHubFiles } from "./rootFiles.js";
import { createWorkflows } from "./workflows.js";
function createDotGitHub(values) {
  return {
    ISSUE_TEMPLATE: createDotGitHubIssueTemplate(values),
    actions: createDotGitHubActions(),
    workflows: createWorkflows(values),
    ...createDotGitHubFiles(values)
  };
}
export {
  createDotGitHub
};
//# sourceMappingURL=index.js.map