import { formatIgnoreFile } from "./formatters/formatIgnoreFile.js";
function createDotHusky() {
  return {
    ".gitignore": formatIgnoreFile(["_"]),
    "pre-commit": formatIgnoreFile([
      `#!/bin/sh`,
      `. "$(dirname "$0")/_/husky.sh"`,
      "npx lint-staged"
    ])
  };
}
export {
  createDotHusky
};
//# sourceMappingURL=dotHusky.js.map