import { InputValues } from '../../../shared/inputs.js';
import 'octokit';

declare function writePackageJson({ author, description, email, owner, releases, repository, unitTests, }: Pick<InputValues, "author" | "description" | "email" | "owner" | "releases" | "repository" | "unitTests">): Promise<string>;

export { writePackageJson };
